%define		tarname	Mako

Summary:	Mako template library for Python

Name:		python3-mako
Version:	1.0.7
Release:	1
Group:		Development/Python
License:	MIT
URL:		http://www.makotemplates.org/
Source0:	https://pypi.python.org/packages/source/M/Mako/Mako-%{version}.tar.gz
BuildArch:	noarch
Requires:	python3-beaker >= 1.1
Requires:	python3-markupsafe >= 0.9.2
BuildRequires:	python3-setuptools
BuildRequires:	python3-nose
BuildRequires:	python3-beaker
BuildRequires:	python3-markupsafe
BuildRequires:	python3-devel

%description
Mako is a template library written in Python. It provides a familiar, non-XML
syntax which compiles into Python modules for maximum performance. Mako's
syntax and API borrows from the best ideas of many others, including Django
templates, Cheetah, Myghty, and Genshi. Conceptually, Mako is an embedded
Python (i.e. Python Server Page) language, which refines the familiar ideas of
componentized layout and inheritance to produce one of the most straightforward
and flexible models available, while also maintaining close ties to Python
calling and scoping semantics.

%prep
%setup -qn %{tarname}-%{version}

%build
# Nothing to do

%install
PYTHONDONTWRITEBYTECODE=  python3 setup.py install --root %{buildroot}

#check
#__python3 setup.py test

%files
%doc CHANGES LICENSE README.rst doc examples
%{_bindir}/mako-render
%{py3_puresitedir}/mako
%{py3_puresitedir}/Mako*

%changelog

* Wed Jun 20 2018 Denis Silakov <dsilakov@virtuozzo.com> 1.0.7-1
- (e0c7f3f) Updated to 1.0.7


